#include <bits/stdc++.h>
typedef long long ll;
using namespace std;


int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);   cout.tie(0);
    cout << fixed;
    int n;
    cin >> n;
    int a[n];
    double p[n];
    double mm,zbir = 0.00;
    for(int i=0; i<n; i++)  cin >> a[i] >> p[i];
    for(int i=0; i<n; i++){
        zbir=0;
        for (int j=0; j<n; j++) {
           if (p[i]<=p[j])
                zbir+=a[j]*p[i]/100;
        }
        if (mm<zbir) mm=zbir;
    }
    cout << setprecision(4) << mm;
    return 0;
}